/*  Antico Astrolabio planisferico
    Latitudine impostabile a piacere 
    Copyright 2003 Franco Martinelli
    La posizione delle stelle  riferita al 2000.
    email: fram@interfree.it 

    Rev. 1 -  19/3/2006 - Modificata e corretta la scala dei mesi, dei singoli giorni e delle cinquine  
    





    -------------------------------- LEGGERE QUI PRIMA DI AVVIARE --------------------------------------
    
    N.B. - Ricordarsi di modificare le due cartelle del percorso dei font dei caratteri, cos come
            impostato sul proprio computer, altrimenti il programma si blocca 
         - Consulta la sezione sottostante relativa alla personalizzazione dell'astrolabio
         - Leggere la nota alla fine del file

    ----------------------------------------------------------------------------------------------------
    
    
    
*/


#include "colors.inc"
#include "textures.inc"

/* Dimensioni
   Lamina raggio = 0.08  POV unit (diam. 16 cm)   spessore 0.003 POV unit (3 mm)
   Mater  raggio = 0.095 POV unit (diam 19 cm)    spessore 0.009 POV unit (9 mm)
   Limb   largh  = 0.015 POV unit (1.5 cm )       spessore 0.009 POV unit (9 mm)
   Lamina progettata per Latitudine 44 Nord    
*/

// ---------- Personalizzazione dell'astrolabio

//Impostare qui la Latitudine per la quale si vuole disegnare la Lamina
//Le altri parti dell'astrolabio non sono influenzate dalla latitudine
#declare Latitude=44;

//angoli di posizionamento delle parti mobili
#declare pos_indice=-240;
#declare pos_rete=65;
#declare pos_alidada=40;

//modificare il percorso per la ricerca del font adeguandolo a quello sul proprio computer
#declare path_font_TIMES= "D:/windows/fonts/times.ttf";
#declare path_font_WINGD= "D:/windows/fonts/WINGDING.TTF";


// ----------fine personalizzazione

// disco base
#declare disco = cylinder { 0*z,-0.003*z, .10}
// tacche
#declare Tacca= box {<-0.005,0,0> <0.005,0.0025,-0.003> translate <0,0.08,0>}

// Fiamma centrata  in <0,0,0> sulla punta 
#declare Punta_cen= intersection {
difference {
        cylinder { 0*z,-0.0026*z, .10}
        cylinder { 0.01*z,-0.00261*z, .08 translate <-0.03,-0.0,0> }
} 
         plane { -y, 0 }
        scale <0.08, 0.08,1> translate <0.0059, -0.0054,0>
}

// Perno passante centrale
#declare Perno = union {
                cylinder { 0.006*z,0.004*z, .006}
                cylinder { 0.006*z,-0.014*z, .0025}
                sphere {<0,0,-0.013> 0.0025}
                }

// cavallo
#declare Cavallo = cylinder {-0.0035*x, 0.0035*x,0.0005}

#declare Sfera = object {sphere {<0,0,0> 0.0005} pigment {Black} }  
 
// anello di sospensione
#declare Anello = torus { 0.1, 0.02 rotate <90,0,0>}

// due anelli
#declare Anelli = union{
               object {Anello rotate <0,90,0> scale 0.1 translate <0,0.14,0>}
               object {Anello rotate <0,0,0> scale 0.11 translate <0,0.156,0>}
}


// Il mio nome - Copyright - Per favore non cancellare - Grazie !
#declare FM= text { ttf path_font_TIMES, "by F.Martinelli (2003)", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
                 
// Puntatore della faccia anteriore
#declare Indice= difference {
                  union {
                        cylinder { 0*z,-0.003*z, .005}
                        intersection {
                           box {<0,0.092,0><0.005,0,-0.003>}
                           plane {x,0.0025 rotate <0,0,30> translate<0.0025,0.084,0>}
                           }
                    rotate <0,0,-90>    }
                  cylinder { 0.05*z,-0.05*z, 0.0025}  //foro centrale 
                  object {FM scale <0.0025, 0.0025,0.5> translate <0.025,-0.0028,-0.005>}
}                        

// Alidada faccia posteriore
#declare Alidada= difference {
                  union {
                        box {<-0.090,0.01,0><0,0,-0.003>}
                        box {<0.090,-0.01,0><0,0,-0.003>}
                        cylinder { 0*z,-0.003*z, 0.01}
                       difference{  
                          union{ //diottre
                               box {<-0.0015,0.01,0><0.0015,-0.01,-0.012> translate<-0.07,0,0>}
                               box {<-0.0015,0.01,0><0.0015,-0.01,-0.012> translate<0.07,0,0>}
                               box {<-0.0015,0.00,-0.011><0.0015,-0.003,-0.016> translate<-0.07,0,0>} //pinnule
                               box {<-0.0015,0.00,-0.011><0.0015,-0.003,-0.016> translate<0.07,0,0>} //pinnule
                          }
                        cylinder{0.1*x,-0.1*x,0.0015 translate<0,0,-0.007>} 
                        }  
                   }
                  cylinder { 0.05*z,-0.05*z, 0.0025}  //foro centrale
                  cylinder { 0.05*z,-0.05*z, 0.009 translate <-0.09,0.01,0>}  //punte
                  cylinder { 0.05*z,-0.05*z, 0.009 translate <0.09,-0.01,0>}  
                  object {FM scale <0.003, 0.003,0.5> translate <0.025,-0.006,-0.005>}
}                        
 
 
// Nome mesi scala calendariale posteriore
#declare Gen2= text { ttf path_font_TIMES, "IAN", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }

#declare Feb2= text { ttf path_font_TIMES, "FEB", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Mar2= text { ttf path_font_TIMES, "MAR", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Apr2= text { ttf path_font_TIMES, "APR", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Maj2= text { ttf path_font_TIMES, "MAJ", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Iun2= text { ttf path_font_TIMES, "IUN", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Iul2= text { ttf path_font_TIMES, "IUL", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Aug2= text { ttf path_font_TIMES, "AUG", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Sep2= text { ttf path_font_TIMES, "SEP", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Oct2= text { ttf path_font_TIMES, "OCT", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }
#declare Nov2= text { ttf path_font_TIMES, "NOV", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }

#declare Dec2= text { ttf path_font_TIMES, "DEC", 1, 0
                 scale<0.0045,0.0045,0.01>
                 pigment {Black}   
                 }


// Cifre ore sul lembo anteriore 
#declare n1= text { ttf path_font_TIMES, " I", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n2= text { ttf path_font_TIMES, "II", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n3= text { ttf path_font_TIMES, "III", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n4= text { ttf path_font_TIMES, "IV", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n5= text { ttf path_font_TIMES, " V", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n6= text { ttf path_font_TIMES, "VI", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n7= text { ttf path_font_TIMES, "VII", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n8= text { ttf path_font_TIMES, "VIII", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n9= text { ttf path_font_TIMES, "IX", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n10= text { ttf path_font_TIMES, " X", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n11= text { ttf path_font_TIMES, "XI", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare n12= text { ttf path_font_TIMES, "XII", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
                
// Cifre angoli (almicantarath, verticali, graduazioni faccia posteriore ecc.)
#declare h90= text { ttf path_font_TIMES, "90", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare h80= text { ttf path_font_TIMES, "80", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare h70= text { ttf path_font_TIMES, "70", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 } 
#declare h60= text { ttf path_font_TIMES, "60", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h50= text { ttf path_font_TIMES, "50", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h40= text { ttf path_font_TIMES, "40", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h30= text { ttf path_font_TIMES, "30", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h20= text { ttf path_font_TIMES, "20", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h10= text { ttf path_font_TIMES, "10", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h0= text { ttf path_font_TIMES, "0", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare h5= text { ttf path_font_TIMES, " 5", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h15= text { ttf path_font_TIMES, "15", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare h25= text { ttf path_font_TIMES, "25", 1, 0
                 scale <1,1,1>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

// nomi delle stelle (da incidere sulla rete)
#declare DKAI= text { ttf path_font_TIMES, "D.KAITOS", 1, 0
                 scale<0.003,0.003,0.01>
                 translate <-0.07,-0.021,-0.012>             
                 pigment {Black}   
                 }
#declare FOMAL= text { ttf path_font_TIMES, "FOMAL", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,80>
                 translate <-0.0765,0.009,-0.012>             
                 pigment {Black}   
                 }
#declare ANTAR= text { ttf path_font_TIMES, "ANTAR", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-36>
                 translate <0.034,0.07,-0.012>             
                 pigment {Black}   
                 }
#declare ALPHER= text { ttf path_font_TIMES, "ALPHER", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,0>
                 translate <-0.0495,-0.011,-0.012>             
                 pigment {Black}   
                 } 
#declare GIENAH= text { ttf path_font_TIMES, "GIENAH", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-84>
                 translate <0.076,0.015,-0.012>             
                 pigment {Black}   
                 }
#declare ALPHARD= text { ttf path_font_TIMES, "ALPHARD", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,0>
                 translate <0.047,-0.021,-0.012>             
                 pigment {Black}   
                 }
#declare ADHARA= text { ttf path_font_TIMES, "ADHARA", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,22>
                 translate <0.021,-0.077,-0.012>             
                 pigment {Black}   
                 }
#declare ARCTUR= text { ttf path_font_TIMES, "ARCT", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,44>
                 translate <0.0212,0.025,-0.012>             
                 pigment {Black}   
                 }
#declare ALTAIR= text { ttf path_font_TIMES, "ALTAIR", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-45>
                 translate <-0.0325,0.036,-0.012>             
                 pigment {Black}   
                 }
#declare RAS= text { ttf path_font_TIMES, "RAS", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-50>
                 translate <0.0155,0.035,-0.012>             
                 pigment {Black}   
                 }
#declare ALIOTH= text { ttf path_font_TIMES, "ALIOTH", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,45>
                 translate <0.0077,0.011,-0.012>             
                 pigment {Black}   
                 }
#declare VEGA= text { ttf path_font_TIMES, "VEG", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-55>
                 translate <0.0045,0.0205,-0.012>             
                 pigment {Black}   
                 }

#declare SPICA= text { ttf path_font_TIMES, "SPC", 1, 0
                 scale<0.0023,0.0023,0.01> 
                 rotate<0,0,36>
                 translate <0.0345,0.018,-0.012>             
                 pigment {Black}   
                 }
 
#declare DEN= text { ttf path_font_TIMES, "DEN", 1, 0
                 scale<0.003,0.003,0.01> 
                 rotate<0,0,-35>
                 translate <-0.012,0.003,-0.012>             
                 pigment {Black}   
                 }
#declare MIR= text { ttf path_font_TIMES, "MIR", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,55>
                 translate <-0.0095,-0.0045,-0.012>             
                 pigment {Black}   
                 }
#declare CAPL= text { ttf path_font_TIMES, "CAPL", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,-30>
                 translate <-0.01,-0.007,-0.012>             
                 pigment {Black}   
                 }
#declare RIGEL= text { ttf path_font_TIMES, "RIGEL", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,0>
                 translate <-0.0055,-0.0565,-0.012>             
                 pigment {Black}   
                 }
#declare MIRZAM= text { ttf path_font_TIMES, "MIRZAM", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,90>
                 translate <0.001,-0.072,-0.012>             
                 pigment {Black}   
                 }
#declare SIRIUS= text { ttf path_font_TIMES, "SIRIUS", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,30>
                 translate <0.005,-0.069,-0.012>             
                 pigment {Black}   
                 }
#declare PROC= text { ttf path_font_TIMES, "PRO", 1, 0
                 scale<0.002,0.002,0.01> 
                 rotate<0,0,110>
                 translate <0.014,-0.032,-0.012>             
                 pigment {Black}   
                 }
#declare ALHE= text { ttf path_font_TIMES, "ALHE", 1, 0
                 scale<0.002,0.002,0.01> 
                 rotate<0,0,40>
                 translate <0.0095,-0.0305,-0.012>             
                 pigment {Black}   
                 }
#declare ALNIL= text { ttf path_font_TIMES, "ALNILAM", 1, 0
                 scale<0.0025,0.0025,0.01> 
                 rotate<0,0,90>
                 translate <0.0005,-0.052,-0.012>             
                 pigment {Black}   
                 }
#declare ALDEB= text { ttf path_font_TIMES, "ALDB", 1, 0
                 scale<0.002,0.002,0.01> 
                 rotate<0,0,-50>
                 translate <-0.021,-0.0245,-0.012>             
                 pigment {Black}   
                 }
#declare BELL= text { ttf path_font_TIMES, "BELL", 1, 0
                 scale<0.002,0.002,0.01> 
                 rotate<0,0,75>
                 translate <-0.007,-0.033,-0.012>             
                 pigment {Black}   
                 }

// ------- Simboli Segni zodiacali ------------------------- 
#declare CAN= text { ttf path_font_WINGD, "a", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }

#declare LEO= text { ttf path_font_WINGD, "b", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare VER= text { ttf path_font_WINGD, "c", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare BIL= text { ttf path_font_WINGD, "d", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare SCO= text { ttf path_font_WINGD, "e", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare SAG= text { ttf path_font_WINGD, "f", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare CAP= text { ttf path_font_WINGD, "g", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare ACQ= text { ttf path_font_WINGD, "h", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare PES= text { ttf path_font_WINGD, "i", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare ARI= text { ttf path_font_WINGD, "^", 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare TOR= text { ttf path_font_WINGD, chr(95), 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }
#declare GEM= text { ttf path_font_WINGD,chr(96), 1, 0
                 scale<0.003,0.003,0.0005> 
                 rotate<0,0,0>
                 translate <-0.0013,-0.0013,-0.00055>             
                 pigment {Black}   
                 }


//umbra recta et versa 
#declare u4= text { ttf path_font_TIMES, "4", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare u8= text { ttf path_font_TIMES, "8", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare u12= text { ttf path_font_TIMES, "12", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }

#declare RECTA= text { ttf path_font_TIMES, "RECTA", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }
#declare VERSA= text { ttf path_font_TIMES, "VERSA", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }  
                 
#declare UMBRA= text { ttf path_font_TIMES, "UMBRA", 1, 0
                 scale <1,1,0.01>
                 translate <0,0,-0.00>
                 rotate <0,0,0>
                 pigment {Black}   
                 }  
                 


// ---------------------------------------- Madre -----------------------------


#declare Incisione_linea = box {<-0.0003, -0.1, 0> <0.0003, 0.1, -0.1> pigment {Black}   } 

// mezza linea
#declare Incisione_linea_r = box {<-0.0003, -0.1, 0> <0.0003, 0.0, -0.1> pigment {Black}   }

// circolo nero
#macro Inc_cerc(raggio,tx,ty,tz,sp)   
        difference{
           cylinder {0*z, -0.005*z, raggio}
           cylinder {0.01*z, -0.0051*z, raggio-sp}                           
           pigment {Black}
           translate <tx,ty,tz>   
        }        
#end

// circolo colorato
#macro Inc_cerc_col(raggio,tx,ty,tz,sp,col)   
        difference{
           cylinder {0*z, -0.005*z, raggio}
           cylinder {0.01*z, -0.0051*z, raggio-sp}                           
           pigment {col}
           translate <tx,ty,tz>   
        }        
#end

// Trono e sospensione
#declare Sostegno = union  {
        object {disco  scale <0.09, 0.09,3> translate<-0.020,0.092,0> }
        difference {
                object {disco  scale <0.17, 0.17,3> translate<0,0.1,0> } 
                cylinder {0.1*z, -0.5*z, 0.004 translate <0,0.11,0>}
         }
        object {disco  scale <0.09, 0.09,3> translate<0.020,0.092,0> } 
        object {Anelli translate <0,-0.019,-0.0045>}
}                
                
#declare Bordo_0 = union {
           difference{
                cylinder {0*z, -0.009*z, .095}
                cylinder {0.1*z, -0.0091*z, .081}
               
        }
        object {Sostegno scale <1, 1, 1>  translate <0,-0.00215,0> }
}

#declare Bordo = difference {
                 object {Bordo_0}
                 object {Tacca scale<1.01,1.01,5> translate <0,0,0.001> } 
                 }                
 
// Lembo anteriore completamente inciso
#declare Bordo_inciso = difference {
                object {Bordo} 
                Inc_cerc(0.087,0,0,-0.0088,0.0007) 
                #declare Index = 0;
                #while(Index <= 11)
                        object {Incisione_linea  scale<1,0.87,1> rotate <0,0,Index*15> translate <0,0,-0.0088>}
                        #declare Index = Index + 1;
                #end 
                Inc_cerc(0.0835,0,0,-0.0088,0.0007) 
                #declare Index = 1;
                #while(Index <= 48)
                        object {Incisione_linea scale<1,0.835,1> rotate <0,0,Index*-3.75>  translate <0,0,-0.0088>}
                        #declare Index = Index + 1;
                #end 
                 object {n1 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,165>}     
                 object {n2 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,150>}     
                 object {n3 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,135>}     
                 object {n4 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,120>}     
                 object {n5 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,105>}     
                 object {n6 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,90>}     
                 object {n7 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,75>}     
                 object {n8 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,60>}     
                 object {n9 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,45>}     
                 object {n10 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,30>}     
                 object {n11 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,15>}     
                 object {n12 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> }     
                 object {n1 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-15>}     
                 object {n2 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-30>}     
                 object {n3 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-45>}     
                 object {n4 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-60>}     
                 object {n5 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-75>}     
                 object {n6 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-90>}     
                 object {n7 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-105>}     
                 object {n8 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-120>}     
                 object {n9 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-135>}     
                 object {n10 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-150>}     
                 object {n11 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-165>}     
                 object {n12 scale <0.0055, 0.0055,1> translate <-0.002,0.089,-0.018> rotate <0,0,-180>}     
                #declare Index = 0;
                #while(Index <= 23)
                        object {Sfera  translate <0.0,0.08525,-0.009> rotate <0,0,-7.5+Index*-15> }
                        #declare Index = Index + 1;
                #end 

}


// ------------------------------------- Lamina  ---------------------
//La Lamina sar disegnata in funzione del parametro Latitude impostato all'inizio di questo file
//Le altre parti dell'astrolabio non sono influenzate dalla Latitudine

// lamina
#declare R_Sfera = 0.0425;

#declare Lamina = 
                difference{
                        union {
                          cylinder {0*z,-0.003*z, .08 } 
                          object {Tacca}
                          }
                        object {Incisione_linea scale<1,0.85,1> rotate <0,0,0>  translate <0,0,-0.0028>}
                        object {Incisione_linea scale<1,0.8,1> rotate <0,0,90>  translate <0,0,-0.0028>}
                        #declare spess=0.0007;

// tropici
#declare delta=23.44;
#declare dim= R_Sfera*tan(radians((90-delta)/2));
                        Inc_cerc(dim,0,0,-0.0028,spess) //cancer
#declare delta=0;
#declare dim= R_Sfera*tan(radians((90-delta)/2));
                        Inc_cerc(dim,0,0,-0.0028,spess) //equat
#declare delta=-23.44;
#declare dim= R_Sfera*tan(radians((90-delta)/2));
                        Inc_cerc(dim,0,0,-0.0028,spess) //capr

// almicantarat
#declare spess=0.0005;  //spessore
#declare h=0;
#declare ragh=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare ah=R_Sfera*tan(radians(Latitude-h)/2)-ragh;
                        Inc_cerc(ragh,0,-ah,-0.0028,spess)  //horizon
#declare h=10;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=20;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=30;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=40;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=50;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=60;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=70;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc(rag,0,-a,-0.0028,spess)  
#declare h=80;
#declare rag8=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a8=R_Sfera*tan(radians(Latitude-h)/2)-rag8;
                        Inc_cerc(rag8,0,-a8,-0.0028,spess) 
//crepuscoli
#declare h=-6;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc_col(rag,0,-a,-0.0028,spess,Black)   //civile
#declare h=-12;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc_col(rag,0,-a,-0.0028,spess,Black)   //nautico
#declare h=-18;
#declare rag=(R_Sfera*tan(radians(Latitude-h)/2)+R_Sfera*tan(radians(180-Latitude-h)/2))/2;
#declare a=R_Sfera*tan(radians(Latitude-h)/2)-rag;
                        Inc_cerc_col(rag,0,-a,-0.0028,spess,Black)  //astronomico


#declare dimz= R_Sfera*tan(radians(45-Latitude/2));
                        object {Sfera scale<1.3,1.3,1.3> translate <0.0,dimz,-0.0028> } //zenith
                        
                        // Altezze in gradi degli almicantarath - Validi solo per Lat=44 
                        // difficilmente personalizzabili in funzione della Latitudine
                        // i numeri potrebbero cadere sui cerchi e sulle linee
                        // ci penser un po' su
                       /* 
                        object {h60 scale <0.002,0.002,0.01> rotate <0,0,-120> translate <-0.0125,0.029,-0.011>}
                        object {h50 scale <0.002,0.002,0.01> rotate <0,0,-120> translate <-0.0175,0.032,-0.011>}
                        object {h40 scale <0.002,0.002,0.01> rotate <0,0,-120> translate <-0.023,0.035,-0.011>}
                        object {h30 scale <0.002,0.002,0.01> rotate <0,0,-110> translate <-0.0302,0.038,-0.011>}
                        object {h20 scale <0.002,0.002,0.01> rotate <0,0,-105> translate <-0.039,0.041,-0.011>}
                        object {h10 scale <0.002,0.002,0.01> rotate <0,0,-90> translate <-0.051,0.044,-0.011>}
                        object {h0 scale <0.002,0.002,0.01> rotate <0,0,-80> translate <-0.063,0.044,-0.011>}
                        object {h60 scale <0.002,0.002,0.01> rotate <0,0,120> translate <0.0134,0.0274,-0.011>}
                        object {h50 scale <0.002,0.002,0.01> rotate <0,0,120> translate <0.0185,0.0305,-0.011>}
                        object {h40 scale <0.002,0.002,0.01> rotate <0,0,120> translate <0.024,0.033,-0.011>}
                        object {h30 scale <0.002,0.002,0.01> rotate <0,0,110> translate <0.031,0.036,-0.011>}
                        object {h20 scale <0.002,0.002,0.01> rotate <0,0,105> translate <0.0395,0.038,-0.011>}
                        object {h10 scale <0.002,0.002,0.01> rotate <0,0,90> translate <0.050,0.043,-0.011>}
                        object {h0 scale <0.002,0.002,0.01> rotate <0,0,80> translate <0.063,0.043,-0.011>}
                        */
                                   
 // verticali
#declare spess=0.0005;                      
difference {
 intersection {
      union {
#declare M=(R_Sfera*tan(radians(45-Latitude/2))+R_Sfera*tan(radians(45+Latitude/2)))/2;
#declare ZM=M-dimz;
#declare az=10;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=20;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)
#declare az=30;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=40;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess) 
#declare az=50;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=60;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess) 
#declare az=70;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=80;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=90;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=100;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=110;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=120;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=130;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=140;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=150;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=160;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
#declare az=170;
#declare a=M*tan(radians(90-az));
#declare rag=M/sin(radians(az));
         Inc_cerc(rag,a,-ZM,-0.0028,spess)  
         }
       cylinder { 0.5*z,-0.5*z, ragh translate <0,-ah,0>}   //taglia entro l'orizzonte                            
       }    
     cylinder { 0.5*z,-0.5*z, rag8 translate <0,-a8,0>}   //taglia entro almicantarat 80
  }
                                   
                        // ore ineguali - mancano i numeri 
                                difference { 
                                 union{
                                   intersection {
                                      union {
                                            Inc_cerc(0.06754,-0.01353,0.050542,-0.0028,spess)
                                            Inc_cerc(0.07757,-0.03243,0.056194,-0.0028,spess)
                                            Inc_cerc(0.09591,-0.06079,0.060801,-0.0028,spess)
                                            Inc_cerc(0.135248,-0.111197,0.064198,-0.0028,spess)
                                            Inc_cerc(0.259191,-0.247002,0.066105,-0.0028,spess) 
                                       }
                                     plane { x, 0.0 }  
                                     }
 
                                     intersection {
                                       union{ 
                                            Inc_cerc(0.06754, 0.01353, 0.050542,-0.0028,spess)
                                            Inc_cerc(0.07757,0.03243,0.056194,-0.0028,spess)
                                            Inc_cerc(0.09591,0.06079,0.060801,-0.0028,spess)
                                            Inc_cerc(0.135248,0.111197,0.064198,-0.0028,spess)
                                            Inc_cerc(0.259191,0.247002,0.066105,-0.0028,spess)
                                        }
                                     plane {-x,0}
                                     }
                                   }       
                                 cylinder { 0.05*z,-0.05*z, 0.02789}  //taglia al tropico del cancro                                    
                                 }       
                cylinder { 0.05*z,-0.05*z, 0.0025}  // foro centrale
}

// ---------------------------- Rete -----------------------------------
 
//Eclittica
#declare Eclittica_long=    #declare Largh=0.008;
                       difference {          
                         difference{ 
                                cylinder {0*z, -0.003*z, 0.04632}
                                cylinder {0.1*z, -0.0031*z, 0.04532-Largh}
                                translate <0,0.01843,0>   
                                }   
                                                              

                        // mesi       
                       intersection { 
                         union {              
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+0> translate <0,0,-0.0028>}
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+27.91> translate <0,0,-0.0028>}
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+57.82> translate <0,0,-0.0028>}
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+90> translate <0,0,-0.0028>}
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+122.18> translate <0,0,-0.0028>}
                               object {Incisione_linea   scale<1,0.87,1> rotate <0,0,-90+152.09> translate <0,0,-0.0028>}
                            }
                         object { cylinder {0.1*z, -1*z, 0.04632} translate <0,0.01843,0> }  
                        }
                         
                        Inc_cerc(0.042,0,0.01843,-0.0028,spess)
                        
                        //ogni 10
                        difference {    
                         union {                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+9.19> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+18.47> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+37.59> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+47.55> translate <0,0,-0.0028>}
                             
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+68.36> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+79.12> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+100.88> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+111.64> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+122.18> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+132.45> translate <0,0,-0.0028>}
                             
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+142.41> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+152.09> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+161.53> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+170.81> translate <0,0,-0.0028>}
                           }    
                        object { cylinder {0.1*z, -1*z, 0.042} translate <0,0.01843,0> }  
                        } 

                        Inc_cerc(0.04445,0,0.01843,-0.0028,spess)
                        
                        //ogni 5
                        difference {  
                          union {
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+4.59> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+13.81> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+23.16> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+32.72> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+42.54> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+52.65> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+63.06> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+73.72> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+84.55> translate <0,0,-0.0028>}                              
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+95.45> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+106.28> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+116.94> translate <0,0,-0.0028>}                              
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+127.35> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+137.46> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+147.28> translate <0,0,-0.0028>}
                              
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+156.84> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+166.19> translate <0,0,-0.0028>}
                              object {Incisione_linea  scale<1,0.87,1> rotate <0,0,-90+175.41> translate <0,0,-0.0028>}
                          }    
                        object { cylinder {0.1*z, -1*z, 0.0445} translate <0,0.01843,0> }  
                       }
                      
                     // segni zodiacali
                     difference {
                       union {
                          object {CAN scale <1.4,1.4,10> translate <0,-0.02105,0.0> rotate <0,0,17>} 
                          object {LEO scale <1.4,1.4,10> translate <0,-0.0245,0.0> rotate <0,0,50>} 
                          object {VER scale <1.4,1.4,10> rotate<0,0,-20> translate <0,-0.0305,0.0> rotate <0,0,78>} 
                          object {BIL scale <1.4,1.4,10> rotate<0,0,-30> translate <0,-0.0395,0.0> rotate <0,0,105>} 
                          object {SCO scale <1.4,1.4,10> rotate<0,0,-5> translate <0,-0.049,0.0> rotate <0,0,133>} 
                          object {SAG scale <1.4,1.4,10> rotate<0,0,-50> translate <0,-0.0565,0.0> rotate <0,0,164>} 
                          object {CAP scale <1.4,1.4,10> translate <0,-0.0563,0.0> rotate <0,0,196>} 
                          object {ACQ scale <1.4,1.4,10> rotate<0,0,20> translate <0,-0.049,0.0> rotate <0,0,227>} 
                          object {PES scale <1.4,1.4,10> rotate<0,0,20> translate <0,-0.0395,0.0> rotate <0,0,255>} 
                          object {ARI scale <1.4,1.4,10> rotate<0,0,30> translate <0,-0.031,0.0> rotate <0,0,280>} 
                          object {TOR scale <1.4,1.4,10> rotate<0,0,20> translate <0,-0.02405,0.0> rotate <0,0,310>} 
                          object {GEM scale <1.4,1.4,10> rotate<0,0,3> translate <0,-0.02105,0.0> rotate <0,0,344>} 
                        }
                      }  
                    }    

// Posizionamento delle punte delle fiamme (stelle)
#declare Stelle=union {
        //mirzam
        #declare coalfa= 264.59;
        #declare delta= -17.92;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,-90> translate <dx,dy,0> }
        //sirio 
        #declare coalfa= 259;
        #declare delta= -16.7;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.9,0.9,1> rotate<0,0,-90> translate <dx,dy,0> }
        //mirfak --
        #declare coalfa= 308.35;
        #declare delta= 49.76;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,90> translate <dx,dy,0> }
        //capella --
        #declare coalfa= 281.25;
        #declare delta= 45.95;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.9,0.9,1> rotate<0,180,-75> translate <dx,dy,-0.0026> }
        //rigel-- 
        #declare coalfa= 281.65;
        #declare delta= -8.21;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.9,0.9,1> rotate<0,180,120> translate <dx,dy,-0.0026> }
        //altair --
        #declare coalfa= 62.6;
        #declare delta= 8.8;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,180,-30> translate <dx,dy,-0.0026> }
        //vega --
        #declare coalfa= 80.95;
        #declare delta= 38.75;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,0> translate <dx,dy,0> }
        //fomalhaut -- 
        #declare coalfa= 15.9;
        #declare delta= -29.75;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.8,0.8,1> rotate<0,0,-110> translate <dx,dy,0> }
        //deneb --
        #declare coalfa= 49.85;
        #declare delta= 45.19;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,180,90> translate <dx,dy,-0.0026> }
        //arturo --
        #declare coalfa= 146.35;
        #declare delta= 19.3;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        intersection {
          object {Punta_cen  scale <1,0.8,1> rotate<0,180,-93> translate <dx,dy,-0.0026> }
          object {cylinder {0.1*z, -0.1*z, 0.013} translate <dx,dy,0>} 
          }
        //spica  --
        #declare coalfa= 159;
        #declare delta= 11.04;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,0.7> rotate<0,0,60> translate <dx,dy,0> }
        //antares --
        #declare coalfa= 113;
        #declare delta= -26.35;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,45> translate <dx,dy,0> }
        //rasalague --
        #declare coalfa= 96.52;
        #declare delta= 12.58;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1.5,1.5,1> rotate<0,0,0> translate <dx,dy,0> }
        //alpheratz --
        #declare coalfa= 358.2;
        #declare delta= 28.95;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,0.7> rotate<0,0,-90> translate <dx,dy,0> }
        //procion--
        #declare coalfa= 245.5;
        #declare delta= 5.3;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,110> translate <dx,dy,-0.00> }
        //alhena --
        #declare coalfa= 260.91;
        #declare delta= 16.41;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,180,220> translate <dx,dy,-0.0026> }
        //alnilam --
        #declare coalfa= 276.25;
        #declare delta= -1.21;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.9,0.9,1> rotate<0,180,95> translate <dx,dy,-0.0026> }
        //bellatrix  --
        #declare coalfa= 279.05;
        #declare delta= 6.32;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,90> translate <dx,dy,0> }
        //aldebaran  --
        #declare coalfa= 291.35;
        #declare delta= 16.45;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,0,150> translate <dx,dy,0> }
        //alioth --
        #declare coalfa= 166.75;
        #declare delta= 56.1;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <1,1,1> rotate<0,180,-90> translate <dx,dy,-0.0026> }
        //gienah --
        #declare coalfa= 176.35;
        #declare delta= -17.4;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        intersection{
          object {Punta_cen  scale <1.7,1,1> rotate<0,0,30> translate <dx,dy,0> }
          object {cylinder {0.1*z, -0.1*z, 0.020} translate <dx,dy,0>}
        }  
        //alphard --
        #declare coalfa= 218.4;
        #declare delta= -8.55;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.9,1.6,1> rotate<180,0,0> translate <dx,dy,-0.0026> }
        //adhara
        #declare coalfa= 255.6;
        #declare delta= -28.92;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        intersection{
            object {Punta_cen  scale <1,1,1> rotate<0,0,3> translate <dx,dy,0> }
           object {cylinder {0.1*z, -0.1*z, 0.012} translate <dx,dy,0>}
         }
        //dkaitos --
        #declare coalfa= 349.4;
        #declare delta= -18.11;
        #declare dd= -0.0425*tan(radians((90-delta)/2));
        #declare da= 360-coalfa;
        #declare dx=dd*cos(radians(da));
        #declare dy=dd*sin(radians(da));
        object {Punta_cen  scale <0.8,0.8,1> rotate<0,180,45> translate <dx,dy,-0.0026> }
}

//  Rete
#declare Rete=  difference{
                union{
                      object {Eclittica_long}                                                      
                      // arco inferiore
                      #declare Largh=0.004;                     
                      intersection {
                              difference{ 
                                        cylinder {0*z, -0.003*z, 0.08}
                                        cylinder {0.1*z, -0.0031*z, 0.08-Largh}  
                                        }
                              plane { y, 0.07 }
                      }
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.053,-0.0026> translate <0,-0.08,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.016,-0.0026> translate <0,-0.0189,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.020,-0.0026> rotate z*90 translate <-0.03,-0.01,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.028,-0.0026> rotate z*90 translate <-0.046,-0.02,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.010,-0.0026> translate <-0.048,-0.018,0>}
 
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.020,-0.0026> rotate z*-90 translate <0.03,-0.01,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.028,-0.0026> rotate z*-90 translate <0.046,-0.02,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.010,-0.0026> translate <0.048,-0.018,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.05,-0.0026> rotate z*-45 translate <0.0,0.005,0>}
                      difference {
                             box{<0-Largh/2,0.0,0><0+Largh/2,0.05,-0.0026> rotate z*45 translate <0.0,0.005,0>}
                               object {cylinder {0.01*z, -0.015*z, 0.005} translate <-0.0135,0.0115,0>} 
                      }       
                      #declare Largh=0.002;                     
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.02,-0.0026> rotate z*-60 translate <0.03,0.05,0>}
                      box{<0-Largh/2,0.0,0><0+Largh/2,0.02,-0.0026> rotate z*60 translate <-0.03,0.05,0>}
                       // centro
                      object{disco scale <0.07,0.07,1> }
                       // Fiamme stelle                                      
                      object {Stelle}
          
              }
                    // Nomi stelle
                      object {DKAI}
                      object {FOMAL}
                      object {ANTAR}
                      object {GIENAH}      
                      object {ALPHER}
                      object {ALPHARD}    
                      object {ADHARA}
                      object {ARCTUR}     
                      object {ALTAIR}                         
                      object {SPICA}
                      object {RAS}         
                      object {ALIOTH}
                      object {VEGA}     
                      object {SPICA}     
                      object {DEN}         
                      object {MIR}
                      object {CAPL}         
                      object {RIGEL}
                      object {MIRZAM}
                      object {SIRIUS}       
                      object {PROC}     
                      object {ALHE}     
                      object {ALNIL}     
                      object {ALDEB}     
                      object {BELL}                  
                cylinder { 0.05*z,-0.05*z, 0.0025}  //foro centrale
}
                
                   
//-------------- Dorso --------------------------------------------------------

#declare Retro =  cylinder {0*z, -0.001*z, .095}
                   
#declare Segni_zodiaco = union {      
                          object {CAN scale 2.2 translate <0,0.076,0> rotate <0,0,180+195>} 
                          object {LEO scale 2.2 translate <0,0.076,0> rotate <0,0,180+225>} 
                          object {VER scale 2.2 translate <0,0.076,0> rotate <0,0,180+255>} 
                          object {BIL scale 2.2 translate <0,0.076,0> rotate <0,0,180+285>} 
                          object {SCO scale 2.2 translate <0,0.076,0> rotate <0,0,180+315>} 
                          object {SAG scale 2.2 translate <0,0.076,0> rotate <0,0,180+345>} 
                          object {CAP scale 2.2 translate <0,0.076,0> rotate <0,0,180+15>} 
                          object {ACQ scale 2.2 translate <0,0.076,0> rotate <0,0,180+45>} 
                          object {PES scale 2.2 translate <0,0.076,0> rotate <0,0,180+75>} 
                          object {ARI scale 2.2 translate <0,0.076,0> rotate <0,0,180+105>} 
                          object {TOR scale 2.2 translate <0,0.076,0> rotate <0,0,180+135>} 
                          object {GEM scale 2.2 translate <0,0.076,0> rotate <0,0,180+165>} 
                          } 

#declare Retro_inciso = difference {
                object {Retro} 
               
                // Ogni 5
                difference {
                       union{
                        #declare Index = 0;
                        #while(Index <= 35)
                                object {Incisione_linea  scale<1,0.95,1> rotate <0,0,Index*5> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        }  
                    cylinder {0*z, -0.0011*z, 0.080}                                         
                } 
                               
                difference {
                   union{
                       object {h90 scale <0.005,0.005,0.01> rotate <0,0,0> translate <-0.005,0.090,-0.0101>}
                       object {h80 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,12.5>}
                       object {h70 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,22.5>}
                       object {h60 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,32.5>}
                       object {h50 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,42.5>}
                       object {h40 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,52.5>}
                       object {h30 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,62.5>}
                       object {h20 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,72.5>}
                       object {h10 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,82.5>}
                       object {h0 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101>  rotate <0,0,92.5>}

                       object {h80 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-3.5>}
                       object {h70 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-13.5>}
                       object {h60 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-23.5>}
                       object {h50 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-33.5>}
                       object {h40 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-43.5>}
                       object {h30 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-53.5>}
                       object {h20 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-63.5>}
                       object {h10 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-73.5>}
                       object {h0 scale <0.005,0.005,0.01>  translate <0.005,0.090,-0.0101> rotate <0,0,-84.5>}

                       object {h90 scale <0.005,0.005,0.01> rotate <0,0,0> translate <0.001,-0.0935,-0.0101>}
                       object {h80 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,6>}
                       object {h70 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,16>}
                       object {h60 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,26>}
                       object {h50 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,36>}
                       object {h40 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,46>}
                       object {h30 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,56>}
                       object {h20 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,66>}
                       object {h10 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,76>}
   
                       object {h80 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-10>}
                       object {h70 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-20>}
                       object {h60 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-30>}
                       object {h50 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-40>}
                       object {h40 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-50>}
                       object {h30 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-60>}
                       object {h20 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-70>}
                       object {h10 scale <0.005,0.005,0.01>  translate <0.001,-0.0935,-0.0101>  rotate <0,0,-80>}
                    }
                  }      
                object {Inc_cerc(0.089,0,0,-0.0005,0.0007) rotate <0,0,0>} 
                object {Inc_cerc(0.080,0,0,-0.0005,0.0007) rotate <0,0,0>} 
                
                //ogni 1
                difference {
                       union{
                        #declare Index = 0;
                        #while(Index <= 180)
                                object {Incisione_linea  scale<1,0.89,1> rotate <0,0,Index*1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        }  
                    cylinder {0*z, -0.0011*z, .085}                                         
                } 
                object {Inc_cerc(0.085,0,0,-0.0005,0.0007) rotate <0,0,0>} 
                
                  
           //   settore di 30 per i segni
                difference {
                       union{
                        #declare Index = 0;
                        #while(Index <= 6)
                                object {Incisione_linea  scale<1,0.80,1> rotate <0,0,Index*30> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        }  
                    cylinder {0*z, -0.0011*z, .070}                                         
                }
                difference {
                   union {
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,5>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,15>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,25>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,35>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,45>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,55>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,65>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,75>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,85>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,95>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,105>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,115>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,125>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,135>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,145>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,155>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,165>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,175>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,185>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,195>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,205>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,215>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,225>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,235>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,245>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,255>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,265>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,275>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,285>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,295>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,305>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,315>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,325>}
                                object {h10 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,335>}
                                object {h20 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,345>}
                                object {h30 scale <0.005,0.005,0.01>  translate <-0.006,0.0805,-0.0101>  rotate <0,0,355>}
                       }
                    }                      
                object {Inc_cerc(0.070,0,0,-0.0005,0.0007) rotate <0,0,0>} 

      
              // Tacche giorni per ogni mese
                difference {
                       union{
                        #declare Index = 0;
                        #while(Index <= 30)  //Apr
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(27.8/30)+90+10.3> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 31)  //Mag
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(30.8/31)+90+38.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 30)  //Giu
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(31/30)+90+68.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 31)  //Lug
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(31.2/31)+90+99.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 31)  //Ago
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(29/31)+90+131.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 30)  //Set
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(27.1/30)+90+160.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 31)  //Ott
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(29/31)+90+187.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 30)  //Nov
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(30.9/30)+90+216.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 31)  //Dic
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(34.1/31)+90+247> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end          
                        #declare Index = 0;
                        #while(Index <= 31)  //Gen
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(33.3/31)+90+281.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 28)  //Feb
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(27.5/28)+90+314.4> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end
                        #declare Index = 0;
                        #while(Index <= 31)  //Mar
                                object {Incisione_linea_r  scale<0.5,0.70,1> rotate <0,0,Index*(28.4/31)+90+341.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                         
                        }  
                    cylinder {0*z, -0.0011*z, .065}                                         
                } 
                object {Inc_cerc(0.065,0,0,-0.0005,0.0007) rotate <0,0,0>} 
      
                
         //tacche ogni 5 giorni (per ogni mese a partire dal 1 aprile)
                difference {
                       union{
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(27.8/30*5)+90+10.3> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                          
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(30.8/31*5)+90+38.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(31/30*5)+90+68.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(31.2/31*5)+90+99.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(29/31*5)+90+131.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(27.1/30*5)+90+160.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(29/31*5)+90+187.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(30.9/30*5)+90+216.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(34.1/31*5)+90+247.0> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(33.3/31*5)+90+281.1> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(27.5/28*5)+90+314.4> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        #declare Index = 0;
                        #while(Index <= 5)
                                object {Incisione_linea_r  scale<1,0.65,1> rotate <0,0,Index*(28.4/31*5)+90+341.9> translate <0,0,-0.0005>}
                                #declare Index = Index + 1;
                        #end 
                        }
                    cylinder {0*z, -0.0011*z, .060}                                         
                }
                
              //cifre cinquine
                difference {
                   union {      //luglio
                                object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,9>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,19>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,29>}
                                 //agosto
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,40>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,49>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,58.5>}
                                 //settembre
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,69>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,78>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,87>}
                                //ottobre 
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,96>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,105>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,115>}
                                //novembre 
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,125>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,135>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,146>}
                                //dicembre 
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,156>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,167>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,178>}
                                //gennaio
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,190>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,201>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,212>}
                                //febbraio 
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,223.5>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,233>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,243>}
                                //marzo 
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,251>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,259.5>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,269>}
                                 //aprile
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,279>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,288>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,297.5>}
                                 //maggio
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,307>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,317>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,327>}
                                 //giugno
                                 object {h5 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,338>}
                                object {h15 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,348>}
                                object {h25 scale <0.0045,0.0045,0.01>  translate <-0.006,0.0605,-0.0101>  rotate <0,0,358.5>}
                              }
                 }
                object {Inc_cerc(0.060,0,0,-0.0005,0.0007) rotate <0,0,0>} 

         //mesi di calendario da Aprile
              difference {
                       union{
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+10.3> translate <0,0,-0.0005>}       // 1 Apr
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+38.1> translate <0,0,-0.0005>}  // 1 Mag
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+68.9> translate <0,0,-0.0005>}  // 1 Giu
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+99.9> translate <0,0,-0.0005>}  // 1 Lug
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+131.1> translate <0,0,-0.0005>}  // 1 Ago
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+160.1> translate <0,0,-0.0005>}  // 1 Set
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+187.1> translate <0,0,-0.0005>}  // 1 Ott
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+216.1> translate <0,0,-0.0005>}  // 1 Nov
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+247.0> translate <0,0,-0.0005>}  // 1 Dic
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+281.1> translate <0,0,-0.0005>}  // 1 Gen
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+314.4> translate <0,0,-0.0005>}  // 1 Feb
                         object {Incisione_linea_r  scale<1,0.60,1> rotate <0,0,90+341.9> translate <0,0,-0.0005>}  // 1 Mar
                      }  
                    cylinder {0*z, -0.0011*z, .055}                                         
                } 
  
                difference {
                   union {
                      object {Iul2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,22>}
                      object {Aug2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,54>}
                      object {Sep2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,82>}
                      object {Oct2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,111>}
                      object {Nov2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,140>}
                      object {Dec2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,172>}
                      object {Gen2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,207>}
                      object {Feb2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,237>}
                      object {Mar2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,264>}
                      object {Apr2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,292>}
                      object {Maj2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,322>}
                      object {Iun2 scale <1,1,1>  translate <-0.006,0.0555,-0.0101>  rotate <0,0,352>}
                        }
                      }
                object {Inc_cerc(0.055,0,0,-0.0005,0.0007) rotate <0,0,0>} 

                object{Segni_zodiaco}
                
             //umbra recta e versa
                object {Incisione_linea  scale<1,0.55,1> rotate <0,0,90> translate <0,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,45> translate <0,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-45> translate <0,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,0> translate <0,0,-0.0005>}
                object {Incisione_linea  scale<1,0.385,1> rotate <0,0,90> translate <0,-0.0385,-0.0005>}
                object {Incisione_linea_r  scale<1,0.385,1> rotate <0,0,0> translate <0.0385,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.385,1> rotate <0,0,0> translate <-0.0385,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.335,1> rotate <0,0,0> translate <-0.0335,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.285,1> rotate <0,0,0> translate <-0.0285,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.335,1> rotate <0,0,0> translate <0.0335,0,-0.0005>}
                object {Incisione_linea_r  scale<1,0.285,1> rotate <0,0,0> translate <0.0285,0,-0.0005>}
                object {Incisione_linea  scale<1,0.285,1> rotate <0,0,90> translate <0,-0.0285,-0.0005>}
                object {Incisione_linea  scale<1,0.335,1> rotate <0,0,90> translate <0,-0.0335,-0.0005>}

                //tacche
                 intersection{
                    union {
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0, 4.76> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0, 9.46> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,14.04> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,18.43> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,22.62> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,26.56> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,30.26> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,33.69> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,36.87> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,39.81> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,42.51> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,45.00> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,47.49> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,50.19> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,53.13> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,56.31> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,59.74> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,63.44> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,67.38> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,71.57> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,75.96> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,80.54> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,85.24> translate <0,0,-0.0005>}

                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0, -4.76> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0, -9.46> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-14.04> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-18.43> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-22.62> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-26.56> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-30.26> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-33.69> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-36.87> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-39.81> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-42.51> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-45.00> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-47.49> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-50.19> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-53.13> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-56.31> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-59.74> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-63.44> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-67.38> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-71.57> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-75.96> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-80.54> translate <0,0,-0.0005>}
                          object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-85.24> translate <0,0,-0.0005>}
                       }  
                     union { 
                       box{<-0.0385,-0.0385,-0.15><0.0385,-0.0335,0.15>}
                       box{<-0.0385,-0.0385,-0.15><-0.0335,0,0.15>}
                       box{<0.0385,-0.0385,-0.15><0.0335,0,0.15>}
                     }    
                        }    
                        //tacche lunghe
                   intersection{
                    union {
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,18.43> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,33.69> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,56.31> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,71.57> translate <0,0,-0.0005>}
                           
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-18.43> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-33.69> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-56.31> translate <0,0,-0.0005>}
                           object {Incisione_linea_r  scale<1,0.55,1> rotate <0,0,-71.57> translate <0,0,-0.0005>}
                        }  
                     union { 
                       box{<-0.0335,-0.0335,-0.15><0.0335,-0.0285,0.15>}
                       box{<-0.0335,-0.0335,-0.15><-0.0285,0,0.15>}
                       box{<0.0385,-0.0385,-0.15><0.0285,0,0.15>}
                     }    
                        }

                object{u4 scale <0.005,0.005,1> translate <0.03,-0.009,-0.0101>}          
                object{u4 scale <0.005,0.005,1> translate <-0.032,-0.009,-0.0101>}          
                object{u8 scale <0.005,0.005,1> translate <0.03,-0.019,-0.0101>}          
                object{u8 scale <0.005,0.005,1> translate <-0.032,-0.019,-0.0101>}          
                object{u12 scale <0.004,0.004,1> translate <0.029,-0.029,-0.0101>}          
                object{u12 scale <0.004,0.004,1> translate <-0.033,-0.029,-0.0101>}          
                object{u8 scale <0.005,0.005,1> translate <0.017,-0.033,-0.0101>}          
                object{u8 scale <0.005,0.005,1> translate <-0.019,-0.033,-0.0101>}          
                object{u4 scale <0.005,0.005,1> translate <0.007,-0.033,-0.0101>}          
                object{u4 scale <0.005,0.005,1> translate <-0.009,-0.033,-0.0101>}          
                object{RECTA scale <0.0035,0.0035,1> translate <0.006,-0.027,-0.0101>}          
                object{RECTA scale <0.0035,0.0035,1> translate <-0.02,-0.027,-0.0101>}          
                object{VERSA scale <0.0035,0.0035,1> rotate <0,0,90> translate <0.027,-0.02,-0.0101>}          
                object{VERSA scale <0.0035,0.0035,1> rotate <0,0,-90> translate <-0.027,-0.009,-0.0101>}          
                object{UMBRA scale <0.0065,0.0065,1> translate <-0.0105,-0.019,-0.0101>}          
      
              }  
              
              
//Dorso completamente disegnato
#declare Retro_completo = union {
                object {Retro_inciso}
                object {Alidada rotate<0,0,pos_alidada> translate<0,0,-0.0016>texture {Bronze_Metal} finish {diffuse 0.2 ambient 0.3}} 
                }             

                                
//---------AStrolabio con diverse sfumature di colore delle diverse parti-------------------------------------------------------------------

/*                   
#declare Astrolabio = union{
        difference{
                 cylinder { 0*z,-0.003*z, .095 }  //main body
                 cylinder { 0.05*z,-0.05*z, 0.0025}  //central hole
            }
        object {Bordo_inciso texture {Bronze_Metal} finish {diffuse 0.3 ambient 0.6}}
        object {Lamina translate <0.00, 0, -0.003>}
        object {Rete translate <0,0.0,-0.006> texture {Bronze_Metal} finish {diffuse 0.4 ambient 0.4}}
        object {Perno}
        object {Retro_completo rotate <0,180> translate <0,0,0> texture {Bronze_Metal} finish {diffuse 0.3 ambient 0.4}}
        object {Indice translate <0,0,-0.009> rotate <0,0,-135> texture {Bronze_Metal} finish {diffuse 0.3 ambient 0.4 }}
        object {Cavallo translate <0,0,-0.013> texture {Bronze_Metal} finish {diffuse 0.2 ambient 0.2}}
        texture {Bronze_Metal} finish {phong 1.5 reflection 0.2 diffuse 0.6 ambient 0.8}         
}
*/

//-----------------Astrolabio con colore identico per tutte le parti-----------------------------------------------------------


//--------- L'astrolabio  completamente definito in tutte le sue parti, sia anteriori che posteriori 
#declare Astrolabio_completo = union{
        difference{
                 cylinder { 0*z,-0.003*z, .095 }  
                 cylinder { 0.05*z,-0.05*z, 0.0025}
            }
        object {Bordo_inciso}
        object {Lamina translate <0.00, 0, -0.003>}
        object {Rete translate <0,0.0,-0.006>}
        object {Perno}
        object {Retro_completo rotate <0,180> translate <0,0,0>}
        object {Indice translate <0,0,-0.009> rotate <0,0,pos_indice>}
        object {Cavallo translate <0,0,-0.013>}
        texture {Tinny_Brass} finish {phong .7 reflection 0.0 diffuse 0.3 ambient 0.7 }         
}


//--------------e' definita solo la parte anteriore dell'astrolabio
#declare Astrolabio_davanti = union{
        difference{
                 cylinder { 0*z,-0.003*z, .095 }  
                 cylinder { 0.05*z,-0.05*z, 0.0025}
            }
        object {Bordo_inciso}
        object {Lamina translate <0.00, 0, -0.003>}
        object {Rete translate <0,0.0,-0.006>}
        object {Perno}
      //  object {Retro_completo rotate <0,180> translate <0,0,0>}
        object {Indice translate <0,0,-0.009> rotate <0,0,pos_indice>}
        object {Cavallo translate <0,0,-0.013>}
        texture {Tinny_Brass} finish {phong .7 reflection 0.0 diffuse 0.3 ambient 0.7 }         
} 


//--------------  definita solo la parte posteriore dell'astrolabio 
#declare Astrolabio_retro = union{
        difference{
                 cylinder { 0*z,-0.003*z, .095 }  
                 cylinder { 0.05*z,-0.05*z, 0.0025}
            }
        object {Bordo_inciso}
     //   object {Lamina translate <0.00, 0, -0.003>}
     //   object {Rete translate <0,0.0,-0.006>}
        object {Perno}
        object {Retro_completo rotate <0,180> translate <0,0,0>}
     //   object {Indice translate <0,0,-0.009> rotate <0,0,-135>}
        object {Cavallo translate <0,0,-0.013>}
        texture {Tinny_Brass} finish {phong .7 reflection 0.0 diffuse 0.3 ambient 0.7 }         
}


//----Descrizione della scena-------------------------------------

camera {   
  location <-0.15, -0.20,-0.25>   // vista laterale
//  location <-0.0,0.0,-0.40>    // vista frontale standard
//  location <0.02, 0.02,-0.17>   // vista laterale ravvicinata
  right <4/3, 0, 0>
  up <0, 1, 0>
  sky <0, 1, 0>
  direction <0, 0, 1.8>
  look_at <0.0, 0.0, 0>
}

light_source { <2, 2, -10> colour White }

light_source { <8,8, -10> colour White }


background { color  White } 


// L'astrolabio finito e completo
//object {Astrolabio_completo translate <0,-0.01,0> rotate <0,0,0>}

// L'astrolabio solo faccia anteriore
object {Astrolabio_davanti translate <0,-0.01,0> rotate <0,0,0>}

// L'astrolabio solo faccia del dorso
//object {Astrolabio_retro translate <0,-0.01,0> rotate <0,180,0>}       


/* 
-----------------------LEGGERE------------------------------------------------
La renderizzazione della parte posteriore, a causa della grande quantit di tacche e segni  molto pi lenta della facia anteriore
Poich si pu osservare pienamente solo una faccia alla volta, per velocizzare la costruzione dell'immagine  opportuno attivare
solo l'oggetto relativo alla faccia interessata   
-------------------------------------------------------------------------------
*/ 